Bug 396411 - RFE: add a new standard alias 'cls'
RFE: add a new standard alias 'cls'
Product: Fedora
Classification: Fedora
Component: bash (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Tomas Janousek
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-11-23 03:45 EST by G.Wolfe Woodbury
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-11-25 20:33:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description G.Wolfe Woodbury 2007-11-23 03:45:08 EST
Description of problem:

 Old timers and real CLI users very often define the alias

        alias cls=clear
or      alias cls='tput clear'

 to provide a short access to the clear screen function.  This is done often
enough that it might be useful to include it as one of the standard aliases
(such as ll) in the .bashrc of /etc/skel or /etc/profile.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
Actual results:

Expected results:

Additional info:

A relatively minor irritant, but I lose my aliases sometims when upgrading.
Comment 1 Tomas Janousek 2007-11-23 04:50:25 EST
I know about no other distros having this. Never heard about it either. It's
just two chars for a rarely used command. And it reminds people of DOS :). I
don't think this is worth adding to the three aliases currently present on most
distros. (And some of my colleagues think the same.)
Comment 2 G.Wolfe Woodbury 2007-11-25 20:33:52 EST
That's fine, you're entitled to the opinion.
It may be DOSsy, but CLI hackers like me use it a lot.
Even the less(1) command gives an option for doing screen clears automagically
(I swear by export LESS=-cMe)

closing RFE as WONTFIX

Note You need to log in before you can comment on or make changes to this bug.